#include <9pm/u.h>
#include <9pm/libc.h>

void
pm_panic(char *fmt, ...)
{
	char buf[128], *out;
	va_list arg;

	va_start(arg, fmt);
	out = doprint(buf, buf+128, fmt, arg);
	va_end(arg);
	pm_dwrite(buf);
	abort();
}
